/*
    Few functions related to numeral conversions
    This file is part of the zBoy project
    Copyright (C) Mateusz Viste 2010, 2011
*/


// Here I am replacing my overkill (and painfully slow) UbyteToByte() function by a simple DEFINE casting
//#DEFINE UbyteToByte(ub) cast(byte,(ub))
#define UbyteToByte(ub) (signed char)(ub)

//FUNCTION UbyteToByte(BYREF UnsignedByte AS UBYTE) AS BYTE
//  // Returns a signed value from a two-complemented integer
//  //IF UnsignedByte > &b01111111 THEN
//  IF (UnsignedByte AND &b10000000) = 0 THEN ' Value is positive
//      RETURN UnsignedByte
//    ELSE   ' Value is negative
//      RETURN -1 - (UnsignedByte XOR &b11111111)
//  END IF
//END FUNCTION


//#define DwordVal(FirstByte, SecondByte) ((SecondByte << 8) | FirstByte)

static inline int DwordVal(register uint8_t FirstByte, register uint8_t SecondByte) {
  return((SecondByte << 8) | FirstByte);
}
